Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
agora::rtc::ReceivePacketHandler Struct Reference

`#include <rtc_connection_i.h>`

## Public Types
using | onAudioPacketType = std::function<int(audio_packet_t&)>
using | onVideoPacketType = std::function<int(video_packet_t&)>
using | onControlBroadcastPacketType = std::function<int(control_broadcast_packet_t&)>
using | onPeerMessageType = std::function<int(const peer_message_t&)>
using | onVideoCustomCtrlPacketType = std::function<int(video_custom_ctrl_broadcast_packet_t&)>
using | onAudioFrameType = std::function<int(SAudioFrame&)>

## Public Member Functions
| ReceivePacketHandler (onAudioPacketType &&onAudioPacket=nullptr, onVideoPacketType &&onVideoPacket=nullptr, onControlBroadcastPacketType &&onControlBroadcastPacket=nullptr, onPeerMessageType &&onPeerMessagePacket=nullptr, onVideoCustomCtrlPacketType &&onVideoCustomCtrlPacket=nullptr, onAudioFrameType &&onAudioFrame=nullptr)
| ReceivePacketHandler (ReceivePacketHandler &&rhs)

## Public Attributes
onAudioPacketType | onAudioPacket_
onVideoPacketType | onVideoPacket_
onControlBroadcastPacketType | onControlBroadcastPacket_
onPeerMessageType | onPeerMessagePacket_
onVideoCustomCtrlPacketType | onVideoCustomCtrlPacket_
onAudioFrameType | onAudioFrame_

## Member Typedef Documentation

## ◆ onAudioPacketType

using agora::rtc::ReceivePacketHandler::onAudioPacketType = std::function<int(audio_packet_t&)>

## ◆ onVideoPacketType

using agora::rtc::ReceivePacketHandler::onVideoPacketType = std::function<int(video_packet_t&)>

## ◆ onControlBroadcastPacketType

using agora::rtc::ReceivePacketHandler::onControlBroadcastPacketType = std::function<int(control_broadcast_packet_t&)>

## ◆ onPeerMessageType

using agora::rtc::ReceivePacketHandler::onPeerMessageType = std::function<int(const peer_message_t&)>

## ◆ onVideoCustomCtrlPacketType

using agora::rtc::ReceivePacketHandler::onVideoCustomCtrlPacketType = std::function<int(video_custom_ctrl_broadcast_packet_t&)>

## ◆ onAudioFrameType

using agora::rtc::ReceivePacketHandler::onAudioFrameType = std::function<int(SAudioFrame&)>

## Constructor & Destructor Documentation

## ◆ ReceivePacketHandler() [1/2]

agora::rtc::ReceivePacketHandler::ReceivePacketHandler | ( | onAudioPacketType && | onAudioPacket = nullptr,
|  | onVideoPacketType && | onVideoPacket = nullptr,
|  | onControlBroadcastPacketType && | onControlBroadcastPacket = nullptr,
|  | onPeerMessageType && | onPeerMessagePacket = nullptr,
|  | onVideoCustomCtrlPacketType && | onVideoCustomCtrlPacket = nullptr,
|  | onAudioFrameType && | onAudioFrame = nullptr )
| inline

## ◆ ReceivePacketHandler() [2/2]

agora::rtc::ReceivePacketHandler::ReceivePacketHandler | ( | ReceivePacketHandler && | rhs | ) |
| inline

## Member Data Documentation

## ◆ onAudioPacket_

onAudioPacketType agora::rtc::ReceivePacketHandler::onAudioPacket_

## ◆ onVideoPacket_

onVideoPacketType agora::rtc::ReceivePacketHandler::onVideoPacket_

## ◆ onControlBroadcastPacket_

onControlBroadcastPacketType agora::rtc::ReceivePacketHandler::onControlBroadcastPacket_

## ◆ onPeerMessagePacket_

onPeerMessageType agora::rtc::ReceivePacketHandler::onPeerMessagePacket_

## ◆ onVideoCustomCtrlPacket_

onVideoCustomCtrlPacketType agora::rtc::ReceivePacketHandler::onVideoCustomCtrlPacket_

## ◆ onAudioFrame_

onAudioFrameType agora::rtc::ReceivePacketHandler::onAudioFrame_